const SDL = @import("sdl2");

const Bag = @import("bag.zig");
const Piece = @import("piece.zig");

pub fn render(renderer: *SDL.SDL_Renderer, bag: Bag, cell_size: i32, pos_x: i32, pos_y: i32) void {
    for (bag.contents[0..5]) |_, i| {
        if (bag.contents[i]) |piece_type| {
            Piece.init(piece_type).render(renderer, cell_size, pos_x, pos_y + @intCast(i32, i) * cell_size * 4);
        }
    }
}
